function index = getClustersIndex( lbl )
  i = 1;
  len = length( lbl );
  index = [];
  while ( i <= len )
    initC = i;
    if ( lbl(i) == 1 )
      stop = 0;
      while(( stop != 1 ) && ( i < len ))
        i = i + 1;
        if ( lbl(i) != 1 )
          stop = 1;
          stopC = i-1;
          if ( initC != stopC )
            index = [index, initC, stopC];
          end
        end
      end
    end
    i = i + 1;
  end
endfunction
